Index: mythgallery/i18n/mythgallery_fi.ts
===================================================================
--- mythgallery/i18n/mythgallery_fi.ts	(revision 19002)
+++ mythgallery/i18n/mythgallery_fi.ts	(working copy)
@@ -1,480 +1,422 @@
-<?xml version="1.0" encoding="utf-8"?>
-<!DOCTYPE TS><TS version="1.1">
+<!DOCTYPE TS><TS>
 <context>
     <name>GLSingleView</name>
     <message>
-        <location filename="" line="81"/>
         <source>Folder: </source>
         <translation type="obsolete">Kansio: </translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Created: </source>
         <translation type="obsolete">Luotu: </translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Modified: </source>
         <translation type="obsolete">Muokattu: </translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Bytes</source>
         <translation type="obsolete">Tavua</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Width</source>
         <translation type="obsolete">Leveys</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>pixels</source>
         <translation type="obsolete">pikseliä</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Height</source>
         <translation type="obsolete">Korkeus</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Pixel Count</source>
         <translation type="obsolete">pikselimäärä</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>megapixels</source>
         <translation type="obsolete">megapikseliä</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Rotation Angle</source>
         <translation type="obsolete">Käännöskulma</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>degrees</source>
         <translation type="obsolete">astetta</translation>
     </message>
+    <message>
+        <source>Press SELECT to play again</source>
+        <translation>Paina SELECT toistaaksesi uudelleen</translation>
+    </message>
 </context>
 <context>
     <name>IconView</name>
     <message>
-        <location filename="" line="81"/>
         <source>Import pictures?</source>
         <translation type="obsolete">Tuodaanko kuvat?</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>No</source>
         <translation type="obsolete">Ei</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Yes</source>
         <translation type="obsolete">Kyllä</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Nothing found to import</source>
         <translation type="obsolete">Ei löydetty mitään tuotavaksi</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>OK</source>
         <translation type="obsolete">OK</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="472"/>
         <source>Error</source>
         <translation>Virhe</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Sorry: OpenGL support not available</source>
         <translation type="obsolete">OpenGL-tukea ei ole saatavilla</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="147"/>
         <source>SlideShow</source>
         <translation>Diaesitys</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="727"/>
         <source>Rotate CW</source>
         <translation>Kierrä myötäpäivään</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="730"/>
         <source>Rotate CCW</source>
         <translation>Kierrä vastapäivään</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="770"/>
         <source>Import</source>
         <translation>Hae</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="157"/>
         <source>Settings</source>
         <translation>Asetukset</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="149"/>
         <source>Random</source>
         <translation>Satunnainen</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="779"/>
         <source>Delete</source>
         <translation>Poista</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="88"/>
         <source>MythGallery Directory &apos;%1&apos; does not exist or is unreadable.</source>
         <translation>MythGalleria Kansio &apos;%1&apos; ei ole olemassa tai on lukukelvoton.</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>MythGallery failed to load theme, see console for details.</source>
         <translation type="obsolete">MythGalleria epäonnistui teeman lataamisessa, katso konsoli.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="473"/>
         <source>The selected device is no longer available</source>
         <translation>Valittu laite ei ole enää saatavilla</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="151"/>
         <source>Meta Data...</source>
-        <translation>Metadata...</translation>
+        <translation type="obsolete">Metadata...</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="153"/>
         <source>Marking...</source>
-        <translation>Merkitään...</translation>
+        <translation type="obsolete">Merkitään...</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="155"/>
         <source>File...</source>
-        <translation>Tiedosto...</translation>
+        <translation type="obsolete">Tiedosto...</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="764"/>
         <source>Return</source>
-        <translation>Palaa</translation>
+        <translation type="obsolete">Palaa</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="747"/>
         <source>Clear Marked</source>
         <translation>Tyhjennä Merkityt</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="750"/>
         <source>Select All</source>
         <translation>Valitse Kaikki</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="767"/>
         <source>Show Devices</source>
         <translation>Näytä Laitteet</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="773"/>
         <source>Copy here</source>
         <translation>Kopioi tähän</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="776"/>
         <source>Move here</source>
         <translation>Siirrä tähän</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="782"/>
         <source>Create Dir</source>
         <translation>Luo Kansio</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="838"/>
         <source>Delete Current File or Folder</source>
         <translation>Poista Nykyinen Tiedosto tai Kansio</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="840"/>
         <source>Deleting 1 folder, including any subfolders and files.</source>
         <translation>Poistetaan 1 kansio, mukaanlukien kaikki alikansiot ja tiedostot.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="841"/>
         <source>Deleting 1 image.</source>
         <translation>Poistetaan 1 kuva.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1034"/>
         <source>Delete Marked Files</source>
-        <translation>Poista Merkityt Tiedostot</translation>
+        <translation type="obsolete">Poista Merkityt Tiedostot</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1036"/>
         <source>Deleting %1 images and folders, including any subfolders and files.</source>
         <translation>Poistetaan %1 kuvaa ja kansiota, mukaanlukien kaikki alikansiot ja tiedostot.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1080"/>
         <source>New Folder</source>
         <translation>Uusi Kansio</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1084"/>
         <source>Create New Folder</source>
         <translation>Luo Uusi Kansio</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1191"/>
         <source>Moving marked images...</source>
         <translation>Siirretään merkitty kuva...</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1191"/>
         <source>Copying marked images...</source>
         <translation>Kopioidaan merkittyjä kuvia...</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Failed to mount device: </source>
         <translation type="obsolete">Ei saatu liitettyä laitetta: </translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Showing the default MythGallery directory.</source>
         <translation type="obsolete">Näytetään oletus MythGalleria kansio.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1108"/>
         <source>Rename</source>
         <translation>Uudelleennimeä</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1119"/>
         <source>Failed to rename directory</source>
         <translation>Ei saatu uudelleennimettyä kansiota</translation>
     </message>
     <message>
-        <location filename="../mythgallery/iconview.cpp" line="1121"/>
         <source>Failed to rename file</source>
         <translation>Ei saatu uudelleennimettyä tiedostoa</translation>
     </message>
+    <message>
+        <source>Gallery Options</source>
+        <translation>Galleria asetukset</translation>
+    </message>
+    <message>
+        <source>Meta Data Menu</source>
+        <translation>Metatieto valikko</translation>
+    </message>
+    <message>
+        <source>Marking Menu</source>
+        <translation>Merkitsemisvalikko</translation>
+    </message>
+    <message>
+        <source>File Menu</source>
+        <translation>Tiedostovalikko</translation>
+    </message>
+    <message>
+        <source>Metadata Options</source>
+        <translation>Metatieto asetukset</translation>
+    </message>
+    <message>
+        <source>Marking Options</source>
+        <translation>Merkitsemisasetukset</translation>
+    </message>
+    <message>
+        <source>File Options</source>
+        <translation>Tiedostoasetukset</translation>
+    </message>
 </context>
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="17"/>
         <source>Directory that holds images</source>
         <translation>Kansio kuville</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="24"/>
         <source>This directory must exist and MythGallery needs to have read permission.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämän hakemiston pitää olla olemassa ja MythGalleryn tarvitsee lukuoikeudet.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="73"/>
         <source>Paths to import images from</source>
         <translation>Polut kuvatiedostoille</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="77"/>
         <source>This is a colon separated list of paths. If the path in the list is a directory, its contents will be copied. If it is an executable, it will be run.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämä on kaksoispisteillä erotettu lista tietopoluista. Jos listassa oleva polku on hakemisto, sen sisältö kopioidaan. Jos se on ajettava ohjelma, se ajetaan.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="127"/>
         <source>Type of transition</source>
         <translation>Diaesityksen kuvanvaihtotyyli</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="143"/>
         <source>This is the type of transition used between pictures in slideshow mode.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämä on siirtymän tyyppi, jota käytetään kuvien ja diaesityksetilan välillä.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="150"/>
         <source>Type of background</source>
         <translation>Taustan tyyppi</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="156"/>
         <source>This is the type of background for each picture in single view mode.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämä on taustan tyyppi, jota käytetään jokaiselle kuvalle.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="166"/>
         <source>This is the number of seconds to display each picture.</source>
-        <translation type="unfinished"></translation>
+        <translation>Näin monta sekuntia jokaista kuvaa näytetään.</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>MythGallery Settings</source>
         <translation type="obsolete">MythGallerian Asetukset</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="163"/>
         <source>Slideshow Delay</source>
         <translation>Diaesityksen Viive</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="86"/>
         <source>Use OpenGL transitions</source>
         <translation>Käytä OpenGL kuvanvaihtoa</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="89"/>
         <source>Check this to enable OpenGL based slideshow transitions</source>
-        <translation type="unfinished"></translation>
+        <translation>Valitse tämä mahdollistaaksesi OpenGL -pohjaisen diaesityssiirtymisen</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="96"/>
         <source>Type of OpenGL transition</source>
         <translation>OpenGL kuvanvaihdon tyyppi</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="109"/>
         <source>This is the type of OpenGL transition used between pictures in slideshow mode.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämä on OpenGL -siirtymisen tyyppi, jota käytetään siirryttäessä kuvien ja diaesityksetilan välillä.</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Gallery Directory does not exist or is unreadable.</source>
         <translation type="obsolete">Kansiota ei ole tai se on lukukelvoton.</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Ok</source>
         <translation type="obsolete">OK</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="53"/>
         <source>Command run to display movie files</source>
         <translation>Komento videoiden toistoon</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="56"/>
         <source>This command is executed whenever a movie file is selected</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämä komento suoritetaan kun elokuvatiedosto on valittuna</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="31"/>
         <source>Store thumbnails in image directory</source>
         <translation>Tallenna esikatselukuvat kuvahakemistoon</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="33"/>
         <source>If set, thumbnails are stored in &apos;.thumbcache&apos; directories within the above directory. If cleared, they are stored in your home directory.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, esikatselukuvat tallennetaan &apos;.thumbcach&apos; -hakemistoihin yllä mainitussa hakemistossa. Jos tyhjennetty, ne tallennetaan sinun kotihakemistoosi.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="173"/>
         <source>Recurse into directories</source>
         <translation>Mahdollista siirto alikansioihin</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="175"/>
         <source>Check this to let the slideshow recurse into sub-directories.</source>
-        <translation type="unfinished"></translation>
+        <translation>Valitse tämä, mahdollistaaksesi diaesityksen rekursoimisen alihakemistoihin.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="63"/>
         <source>Overlay caption</source>
         <translation>Peittokuvan tiedot</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="66"/>
         <source>This is the number of seconds to show a caption on top of a full size picture.</source>
-        <translation type="unfinished"></translation>
+        <translation>Kuvateksti näytetään näin monta sekuntia täysikokoisen kuvan päällä.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="40"/>
         <source>Sort order when browsing</source>
-        <translation type="unfinished"></translation>
+        <translation>Laijittelujärjestys selatessa</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="46"/>
         <source>This is the sort order for the displayed picture thumbnails.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tätä lajittelujärjestystä käytetään esikatselukuville.</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="117"/>
         <source>Duration of OpenGL Transition (milliseconds)</source>
-        <translation type="unfinished"></translation>
+        <translation>OpenGL -siirtymisen kesto (millisekunteina)</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="185"/>
         <source>MythGallery Settings (Slideshow)</source>
-        <translation type="unfinished"></translation>
+        <translation>MythGalleryn asetukset (Diaesitys)</translation>
     </message>
     <message>
-        <location filename="../mythgallery/gallerysettings.cpp" line="215"/>
         <source>MythGallery Settings (General)</source>
-        <translation type="unfinished"></translation>
+        <translation>MyhtGalleryn Asetukset (Yleiset)</translation>
     </message>
 </context>
 <context>
     <name>SingleView</name>
     <message>
-        <location filename="" line="81"/>
         <source>Created: </source>
-        <translation type="obsolete">Luotu: </translation>
+        <translation>Luotu: </translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Modified: </source>
         <translation type="obsolete">Muokattu:</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Bytes</source>
         <translation type="obsolete">Tavua</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Width</source>
         <translation type="obsolete">Leveys</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>pixels</source>
         <translation type="obsolete">pikseliä</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Height</source>
         <translation type="obsolete">Korkeus</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Pixel Count</source>
         <translation type="obsolete">Pikselimäärä</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>megapixels</source>
         <translation type="obsolete">megapikseliä</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Rotation Angle</source>
         <translation type="obsolete">Käännöskulma</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>degrees</source>
         <translation type="obsolete">astetta</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
         <source>Folder: </source>
         <translation type="obsolete">Kansio: </translation>
     </message>
+    <message>
+        <source>Press SELECT to play again</source>
+        <translation>Paina SELECT toistaaksesi uudelleen</translation>
+    </message>
 </context>
 </TS>
Index: mythweather/i18n/mythweather_fi.ts
===================================================================
--- mythweather/i18n/mythweather_fi.ts	(revision 19002)
+++ mythweather/i18n/mythweather_fi.ts	(working copy)
@@ -469,67 +469,67 @@
     <name>String::WindDirection</name>
     <message>
         <source>N</source>
-        <translation type="unfinished">pohj</translation>
+        <translation>Pohj</translation>
     </message>
     <message>
         <source>NNE</source>
-        <translation type="unfinished">pohj</translation>
+        <translation>Pohjoiskoil</translation>
     </message>
     <message>
         <source>NE</source>
-        <translation type="unfinished">koill</translation>
+        <translation>Koil</translation>
     </message>
     <message>
         <source>E</source>
-        <translation type="unfinished">itä</translation>
+        <translation>Itä</translation>
     </message>
     <message>
         <source>SE</source>
-        <translation type="unfinished">kaakko</translation>
+        <translation>Kaakko</translation>
     </message>
     <message>
         <source>SSE</source>
-        <translation type="unfinished">etelä</translation>
+        <translation>Eteläkaakko</translation>
     </message>
     <message>
         <source>S</source>
-        <translation type="unfinished">etelä</translation>
+        <translation>Etelä</translation>
     </message>
     <message>
         <source>SSW</source>
-        <translation type="unfinished">etelä</translation>
+        <translation>Etelälounas</translation>
     </message>
     <message>
         <source>SW</source>
-        <translation type="unfinished">lounas</translation>
+        <translation>Lounas</translation>
     </message>
     <message>
         <source>W</source>
-        <translation type="unfinished">länsi</translation>
+        <translation>Länsi</translation>
     </message>
     <message>
         <source>NW</source>
-        <translation type="unfinished">luode</translation>
+        <translation>Luode</translation>
     </message>
     <message>
         <source>NNW</source>
-        <translation type="unfinished">pohj</translation>
+        <translation>Pohjoisluode</translation>
     </message>
     <message>
         <source>ENE</source>
-        <translation type="unfinished">koill</translation>
+        <translation>Eteläkoilinen</translation>
     </message>
     <message>
         <source>ESE</source>
-        <translation type="unfinished">kaakko</translation>
+        <translation>Eteläkaakko</translation>
     </message>
     <message>
         <source>WSW</source>
-        <translation type="unfinished">lounas</translation>
+        <translation>Länsilounas</translation>
     </message>
     <message>
         <source>WNW</source>
-        <translation type="unfinished">luode</translation>
+        <translation>Länsiluode</translation>
     </message>
 </context>
 <context>
@@ -899,7 +899,11 @@
     </message>
     <message>
         <source>No Screens defined; Entering Screen Setup.</source>
-        <translation>Ei Alinäyttöjä valittuna; Siirrytään Asetuksiin.</translation>
+        <translation type="obsolete">Ei Alinäyttöjä valittuna; Siirrytään Asetuksiin.</translation>
     </message>
+    <message>
+        <source>Paused</source>
+        <translation>Pysäytetty</translation>
+    </message>
 </context>
 </TS>
